### Virtual Method

# Gio Resolver lookup_by_name_with_flags_finish

since: 2.60

#### Declaration

    GList*
    lookup_by_name_with_flags_finish (
      GResolver* resolver,
      GAsyncResult* result,
      GError** error
    )

#### Description

Retrieves the result of a call to g_resolver_lookup_by_name_with_flags_async().

If the DNS resolution failed, `error` (if non-`NULL`) will be set to a value from `GResolverError`. If the operation was cancelled, `error` will be set to `G_IO_ERROR_CANCELLED`.

Available since: 2.60

#### Parameters

`result`

  Type: `GAsyncResult`

  The result passed to your `GAsyncReadyCallback`.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: A list of `GInetAddress*`

A `GList` of `GInetAddress`, or `NULL` on error. See `g_resolver_lookup_by_name()` for more details.

The caller of the function takes ownership of the data, and is responsible for freeing it.